package org.dromara.ems.record.domain;

import java.util.ArrayList;
import java.util.List;

public class EmsIOTData {

    /**
     * 能源类型
     */
    public ArrayList<String> monitorTypeArr;
    private String name;
    private String type;
    private boolean smooth;
    private boolean showAllSymbol;
    private String symbol;
    private int symbolSize;
    private String symbolType;
    private List<TWTempertureData> dataList;

    public EmsIOTData() {
        this.monitorTypeArr = new ArrayList<>();
    }

    public ArrayList<String> getMonitorTypeArr() {
        return monitorTypeArr;
    }

    public void setMonitorTypeArr(ArrayList<String> monitorTypeArr) {
        this.monitorTypeArr = monitorTypeArr;
    }

    public List<TWTempertureData> getDataList() {
        return dataList;
    }

    public void setDataList(List<TWTempertureData> dataList) {
        this.dataList = dataList;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public boolean isSmooth() {
        return smooth;
    }

    public void setSmooth(boolean smooth) {
        this.smooth = smooth;
    }

    public boolean isShowAllSymbol() {
        return showAllSymbol;
    }

    public void setShowAllSymbol(boolean showAllSymbol) {
        this.showAllSymbol = showAllSymbol;
    }

    public String getSymbol() {
        return symbol;
    }

    public void setSymbol(String symbol) {
        this.symbol = symbol;
    }

    public int getSymbolSize() {
        return symbolSize;
    }

    public void setSymbolSize(int symbolSize) {
        this.symbolSize = symbolSize;
    }

    public String getSymbolType() {
        return symbolType;
    }

    public void setSymbolType(String symbolType) {
        this.symbolType = symbolType;
    }

}
